﻿Option Explicit On

Public Class Rechteck
    'Eigenschaften
    Public b As Single
    Public h As Single
    Dim Grafik As Graphics
    'Methoden
    Sub New(ByVal Formular As Control)
        Grafik = Formular.CreateGraphics
    End Sub

    Private Property MessageBox As String

    Function Flaeche() As Single
        Return b * h
    End Function

    Function Umfang() As Single
        Return 2 * (b + h)
    End Function

    Sub Zeichne_Rechteck()
        Try
            Grafik.DrawRectangle(Pens.Black, 10, 10, b, h)
        Catch ex As Exception
            MessageBox = "Es ist ein Fehler aufgetreten!"
        End Try
    End Sub
End Class

Public Class Ellipse
    'Eigenschaften
    Public a1 As Single
    Public b1 As Single
    Const pi = 3.14159265
    Dim Grafik As Graphics
    'Methoden
    Sub New(ByVal Formular As Control)
        Grafik = Formular.CreateGraphics
    End Sub

    Private Property MessageBox As String

    Function Flaeche_Ell() As Single
        Return pi * a1 * b1 / 4
    End Function

    Function Umfang_Ell() As Single
        Return pi * (0.75 * (a1 + b1) - Math.Sqrt(a1 * b1 / 4))
    End Function

    Sub Zeichne_Ellipse()
        Try
            Grafik.DrawEllipse(Pens.Black, 10, 10, a1, b1)
        Catch ex As Exception
            MessageBox = "Es ist ein Fehler aufgetreten!"
        End Try
    End Sub
End Class

Public Class Bezier
    'Eigenschaften
    Public a1 As Single
    Public b1 As Single
    Dim Grafik As Graphics
    'Methoden
    Sub New(ByVal Formular As Control)
        Grafik = Formular.CreateGraphics
    End Sub

    Private Property MessageBox As String

    Sub Zeichne_Bezier()
        Try
            Grafik.DrawBezier(Pens.Red, 10, 10 + b1, 10 + a1 / 3, -10 - b1, 10 + b1, 10 + 2 * a1 / 3, 10 + a1, 10)
        Catch ex As Exception
            MessageBox = "Es ist ein Fehler aufgetreten!"
        End Try
    End Sub
End Class

Public Class Bogen                '5.1
    'Eigenschaften
    'Kotz, S. 358
    Public a1 As Single
    Public b1 As Single
    Public phi1 As Single
    Public phi2 As Single
    Const pi = 3.14159265
    Dim Grafik As Graphics
    'Methoden
    Sub New(ByVal Formular As Control)
        Grafik = Formular.CreateGraphics
    End Sub

    Private Property MessageBox As String

    Sub Zeichne_Bogen()
        Try
            Grafik.DrawArc(Pens.Black, 10, 10, a1, b1, phi1, phi2)
        Catch ex As Exception
            MessageBox = "Es ist ein Fehler aufgetreten!"
        End Try
    End Sub
End Class